fontconfig (2.17.1-3ubuntu1) resolute; urgency=medium

  * Merge with Debian unstable (LP: #2138716). Remaining changes:
    - debian/rules:
      + Config option to generate the 10-sub-pixel-rgb.conf symlink
    - debian/fontconfig-config.maintscript:
      + Entries due to dropped Ubuntu patches and move from /etc to /usr
    - Drop debian/fontconfig-config.NEWS, debian/fontconfig-config.templates,
      debian/fontconfig-config.config, and associated po files.
      Modify debian/rules, debian/fontconfig-config.postinst,
      debian/fontconfig-config.postrm, and debian/README.Debian.
      + Don't provide debconf prompts
    - Add 0001-cache-If-nsec-is-zero-don-t-use-it-for-comparisons.patch
      + If nsec is zero, don't use it for comparisons
    - Add 05_lcdfilterlegacy.patch: Recognize const value "lcdfilterlegacy",
      used in Ubuntu before upstream introduced "lcdlegacy"
    - Add 04_ubuntu_monospace_lcd_filter_conf.patch:
      + Use legacy lcdfilter with smaller monospace fonts
    - debian/fontconfig-config.install:
      + Install fonts-conf.5.gz
    - debian/source_fontconfig.py, debian/fontconfig.install:
      + Install apport hook
    Dropping changes applied in upstream:
    - Add 07_no_bitmaps.patch:
      + Install 70-no-bitmaps-except-emoji.conf

 -- Nadzeya Hutsko <nadzeya.hutsko@canonical.com>  Wed, 21 Jan 2026 13:54:15 +0100

fontconfig (2.17.1-3) unstable; urgency=medium

  * Team upload
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 12 Jan 2026 15:14:47 -0500

fontconfig (2.17.1-2) experimental; urgency=medium

  * Team upload
  * Make docbook and docbook-utils required Build-Depends (Closes: #1115959)
  * Bump Standards Version to 4.7.3

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 11 Jan 2026 16:03:28 -0500

fontconfig (2.17.1-1) experimental; urgency=medium

  * Team upload

  [ Jeremy Bícha ]
  * New upstream release
  * Update install files because developer documentation is now
    a single HTML file
  * debian/fontconfig-config.postinst: Don't fail if /usr/local/ is read-only
    (Closes: #1114975)
  * debian/libfontconfig1.symbols: Add new symbols
  * Remove 3 patches applied in new release
  * debian/watch: Convert to Version: 5 and watch for GitLab tags
  * Remove obsolete Rules-Requires-Root: no field
  * Bump Standards Version to 4.7.2

  [ Carles Pina i Estany ]
  * Update po-debconf Catalan translation

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 18 Sep 2025 18:49:33 -0400

fontconfig (2.15.0-2.4ubuntu1) resolute; urgency=medium

  * Merge with Debian Unstable (LP: #2130709) Remaining changes:
    - debian/rules:
      + Config option to generate the 10-sub-pixel-rgb.conf symlink
    - debian/fontconfig-config.maintscript:
      + Entries due to dropped Ubuntu patches and move from /etc to /usr
    - Drop debian/fontconfig-config.NEWS, debian/fontconfig-config.templates,
      debian/fontconfig-config.config, and associated po files.
      Modify debian/rules, debian/fontconfig-config.postinst,
      debian/fontconfig-config.postrm, and debian/README.Debian.
      + Don't provide debconf prompts
    - Add 0001-cache-If-nsec-is-zero-don-t-use-it-for-comparisons.patch
      + If nsec is zero, don't use it for comparisons
    - Add 07_no_bitmaps.patch:
      + Install 70-no-bitmaps-except-emoji.conf
    - Add 05_lcdfilterlegacy.patch: Recognize const value "lcdfilterlegacy",
      used in Ubuntu before upstream introduced "lcdlegacy"
    - Add 04_ubuntu_monospace_lcd_filter_conf.patch:
      + Use legacy lcdfilter with smaller monospace fonts
    - debian/fontconfig-config.install:
      + Install fonts-conf.5.gz
    - debian/source_fontconfig.py, debian/fontconfig.install:
      + Install apport hook

 -- Petrichor Park <petrichor.park@canonical.com>  Wed, 07 Jan 2026 10:33:04 -0600

fontconfig (2.15.0-2.3ubuntu1) questing; urgency=medium

  * Merge with Debian Unstable. Remaining changes:
    - debian/source_fontconfig.py, debian/fontconfig.install:
      + Install apport hook
    - debian/fontconfig-config.install:
      + Install fonts-conf.5.gz
    - Add 04_ubuntu_monospace_lcd_filter_conf.patch:
      + Use legacy lcdfilter with smaller monospace fonts
    - Add 05_lcdfilterlegacy.patch: Recognize const value "lcdfilterlegacy",
      used in Ubuntu before upstream introduced "lcdlegacy"
    - Add 07_no_bitmaps.patch:
      + Install 70-no-bitmaps-except-emoji.conf
    - Add 0001-cache-If-nsec-is-zero-don-t-use-it-for-comparisons.patch
      + If nsec is zero, don't use it for comparisons
    - Drop debian/fontconfig-config.NEWS, debian/fontconfig-config.templates,
      debian/fontconfig-config.config, and associated po files.
      Modify debian/rules, debian/fontconfig-config.postinst,
      debian/fontconfig-config.postrm, and debian/README.Debian.
      + Don't provide debconf prompts
    - debian/fontconfig-config.maintscript:
      + Entries due to dropped Ubuntu patches and move from /etc to /usr
    - debian/rules:
      + Config option to generate the 10-sub-pixel-rgb.conf symlink
  * Rebuild for IEEE long double on ppc64el. Fixes FTBFS of krita on
    ppc64el. (LP: #2115961)

 -- Rik Mills <rikmills@kde.org>  Fri, 04 Jul 2025 13:59:13 +0100

fontconfig (2.15.0-2.2ubuntu1) plucky; urgency=medium

  * Merge with Debian Unstable. Remaining changes:
    - debian/source_fontconfig.py, debian/fontconfig.install:
      + Install apport hook
    - debian/fontconfig-config.install:
      + Install fonts-conf.5.gz
    - Add 04_ubuntu_monospace_lcd_filter_conf.patch:
      + Use legacy lcdfilter with smaller monospace fonts
    - Add 05_lcdfilterlegacy.patch: Recognize const value "lcdfilterlegacy",
      used in Ubuntu before upstream introduced "lcdlegacy"
    - Add 07_no_bitmaps.patch:
      + Install 70-no-bitmaps-except-emoji.conf
    - Add 0001-cache-If-nsec-is-zero-don-t-use-it-for-comparisons.patch
      + If nsec is zero, don't use it for comparisons
    - Drop debian/fontconfig-config.NEWS, debian/fontconfig-config.templates,
      debian/fontconfig-config.config, and associated po files.
      Modify debian/rules, debian/fontconfig-config.postinst,
      debian/fontconfig-config.postrm, and debian/README.Debian.
      + Don't provide debconf prompts
    - debian/fontconfig-config.maintscript:
      + Entries due to dropped Ubuntu patches and move from /etc to /usr
    - debian/rules:
      + Config option to generate the 10-sub-pixel-rgb.conf symlink

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sun, 23 Mar 2025 10:08:52 -0500

fontconfig (2.15.0-2.1ubuntu1) plucky; urgency=medium

  * Merge with Debian Unstable. Remaining changes:
    - debian/source_fontconfig.py, debian/fontconfig.install:
      + Install apport hook
    - debian/fontconfig-config.install:
      + Install fonts-conf.5.gz
    - Add 04_ubuntu_monospace_lcd_filter_conf.patch:
      + Use legacy lcdfilter with smaller monospace fonts
    - Add 05_lcdfilterlegacy.patch: Recognize const value "lcdfilterlegacy",
      used in Ubuntu before upstream introduced "lcdlegacy"
    - Add 07_no_bitmaps.patch:
      + Install 70-no-bitmaps-except-emoji.conf
    - Add 0001-cache-If-nsec-is-zero-don-t-use-it-for-comparisons.patch
      + If nsec is zero, don't use it for comparisons
    - Drop debian/fontconfig-config.NEWS, debian/fontconfig-config.templates,
      debian/fontconfig-config.config, and associated po files.
      Modify debian/rules, debian/fontconfig-config.postinst,
      debian/fontconfig-config.postrm, and debian/README.Debian.
      + Don't provide debconf prompts
    - debian/fontconfig-config.maintscript:
      + Entries due to dropped Ubuntu patches and move from /etc to /usr
    - debian/rules:
      + Config option to generate the 10-sub-pixel-rgb.conf symlink

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 14 Mar 2025 20:45:21 -0500

fontconfig (2.15.0-2ubuntu1) plucky; urgency=medium

  * Merge with Debian Unstable. Remaining changes:
    - debian/source_fontconfig.py, debian/fontconfig.install:
      + Install apport hook
    - debian/fontconfig-config.install:
      + Install fonts-conf.5.gz
    - Add 04_ubuntu_monospace_lcd_filter_conf.patch:
      + Use legacy lcdfilter with smaller monospace fonts
    - Add 05_lcdfilterlegacy.patch: Recognize const value "lcdfilterlegacy",
      used in Ubuntu before upstream introduced "lcdlegacy"
    - Add 07_no_bitmaps.patch:
      + Install 70-no-bitmaps-except-emoji.conf
    - Add 0001-cache-If-nsec-is-zero-don-t-use-it-for-comparisons.patch
      + If nsec is zero, don't use it for comparisons
    - Drop debian/fontconfig-config.NEWS, debian/fontconfig-config.templates,
      debian/fontconfig-config.config, and associated po files.
      Modify debian/rules, debian/fontconfig-config.postinst,
      debian/fontconfig-config.postrm, and debian/README.Debian.
      + Don't provide debconf prompts
    - debian/fontconfig-config.maintscript:
      + Entries due to dropped Ubuntu patches and move from /etc to /usr
    - debian/rules:
      + Config option to generate the 10-sub-pixel-rgb.conf symlink
  * Dropped changes
    - debian/control:
      + Make fontconfig-config break/replace kubuntu-settings-desktop
        << 1:23.04.3 to handle symlink conflict, this was included in Noble.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 14 Feb 2025 22:47:55 -0600

fontconfig (2.15.0-2) unstable; urgency=medium

  * Team upload
  * Cherry-pick patches to fix out of memory errors
    when current working directory is deleted (Closes: #1051683)
  * Remove obsolete unused manpages

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 08 Jan 2025 15:50:14 -0900

fontconfig (2.15.0-1.1ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 00:59:34 +0000

fontconfig (2.15.0-1.1ubuntu1) noble; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - debian/source_fontconfig.py, debian/fontconfig.install:
      + Install apport hook
    - debian/fontconfig-config.install:
      + Install fonts-conf.5.gz
    - Add 04_ubuntu_monospace_lcd_filter_conf.patch:
      + Use legacy lcdfilter with smaller monospace fonts
    - Add 05_lcdfilterlegacy.patch: Recognize const value "lcdfilterlegacy",
      used in Ubuntu before upstream introduced "lcdlegacy"
    - Add 07_no_bitmaps.patch:
      + Install 70-no-bitmaps-except-emoji.conf
    - Add 0001-cache-If-nsec-is-zero-don-t-use-it-for-comparisons.patch
      + If nsec is zero, don't use it for comparisons
    - Drop debian/fontconfig-config.NEWS, debian/fontconfig-config.templates,
      debian/fontconfig-config.config, and associated po files.
      Modify debian/rules, debian/fontconfig-config.postinst,
      debian/fontconfig-config.postrm, and debian/README.Debian.
      + Don't provide debconf prompts
    - debian/fontconfig-config.maintscript:
      + Entries due to dropped Ubuntu patches and move from /etc to /usr
    - debian/rules:
      + Config option to generate the 10-sub-pixel-rgb.conf symlink
    - debian/control:
      + Make fontconfig-config break/replace kubuntu-settings-desktop
        << 1:23.04.3 to handle symlink conflict

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 10 Mar 2024 19:46:01 -0400

fontconfig (2.15.0-1.1) unstable; urgency=high

  * Add fix-emoji-no-bitmap-font.patch and update
    debian/fontconfig-config.config to allow emoji font when no bitmap fonts
    are allowed (which has been Debian's default for many years)
    (Closes: #1064267) (LP: #2054924)

 -- Guido Berhoerster <guido+freiesoftware@berhoerster.name>  Fri, 08 Mar 2024 13:20:01 +0100

fontconfig (2.15.0-1ubuntu1) noble; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - debian/source_fontconfig.py, debian/fontconfig.install:
      + Install apport hook
    - debian/fontconfig-config.install:
      + Install fonts-conf.5.gz
    - Add 04_ubuntu_monospace_lcd_filter_conf.patch:
      + Use legacy lcdfilter with smaller monospace fonts
    - Add 05_lcdfilterlegacy.patch: Recognize const value "lcdfilterlegacy",
      used in Ubuntu before upstream introduced "lcdlegacy"
    - Add 07_no_bitmaps.patch:
      + Install 70-no-bitmaps.conf
    - Add 0001-cache-If-nsec-is-zero-don-t-use-it-for-comparisons.patch
      + If nsec is zero, don't use it for comparisons
    - Drop debian/fontconfig-config.NEWS, debian/fontconfig-config.templates,
      debian/fontconfig-config.config, and associated po files.
      Modify debian/rules, debian/fontconfig-config.postinst,
      debian/fontconfig-config.postrm, and debian/README.Debian.
      + Don't provide debconf prompts
    - debian/fontconfig-config.maintscript:
      + Entries due to dropped Ubuntu patches and move from /etc to /usr
    - debian/rules:
      + Config option to generate the 10-sub-pixel-rgb.conf symlink
    - debian/control:
      + Make fontconfig-config break/replace kubuntu-settings-desktop
        << 1:23.04.3 to handle symlink conflict

 -- Mate Kukri <mate.kukri@canonical.com>  Thu, 22 Feb 2024 13:08:04 +0000

fontconfig (2.15.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Add debian/upstream/metadata
  * Drop unused gbp.conf options
  * Drop obsolete dbgsym migration handling
  * Enable all hardening flags
  * Refresh patches

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 17 Feb 2024 14:18:24 -0500

fontconfig (2.14.2-6ubuntu1) noble; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/control:
      + Make fontconfig-config break/replace kubuntu-settings-desktop
        << 1:23.04.3 to handle symlink conflict
    - debian/rules:
      + Config option to generate the 10-sub-pixel-rgb.conf symlink
    - debian/fontconfig-config.maintscript:
      + Entries due to dropped Ubuntu patches and move from /etc to /usr
    - Drop debian/fontconfig-config.NEWS, debian/fontconfig-config.templates,
      debian/fontconfig-config.config, and associated po files.
      Modify debian/rules, debian/fontconfig-config.postinst,
      debian/fontconfig-config.postrm, and debian/README.Debian.
      + Don't provide debconf prompts
    - Add 0001-cache-If-nsec-is-zero-don-t-use-it-for-comparisons.patch
      + If nsec is zero, don't use it for comparisons
    - Add 07_no_bitmaps.patch:
      + Install 70-no-bitmaps.conf
    - Add 05_lcdfilterlegacy.patch: Recognize const value "lcdfilterlegacy",
      used in Ubuntu before upstream introduced "lcdlegacy"
    - Add 04_ubuntu_monospace_lcd_filter_conf.patch:
      + Use legacy lcdfilter with smaller monospace fonts
    - debian/fontconfig-config.install:
      + Install fonts-conf.5.gz
    - debian/source_fontconfig.py, debian/fontconfig.install:
      + Install apport hook

 -- Mate Kukri <mate.kukri@canonical.com>  Tue, 05 Dec 2023 12:12:44 +0000

fontconfig (2.14.2-6) unstable; urgency=medium

  * Team upload
  * debian/control:
    - Move fonts-noto-core from being the first font option
  * Revert "Drop claim that DejaVu is Debian default"
  * Updated Turkish translation (closes: #1029686)
  * Updated Romanian translation (closes: #1031161)
  * Update Spanish translation (closes: #1051707)

 -- Gunnar Hjalmarsson <gunnarhj@debian.org>  Fri, 15 Sep 2023 00:05:41 +0200

fontconfig (2.14.2-5) unstable; urgency=medium

  * Team upload
  * Clean up fc*.sgml files generated during build (closes: #1044293)
  * Drop claim that DejaVu is Debian default (closes: #1042513)
  * Make configure files reflect upstream filename change
    (closes: #1050660)

 -- Gunnar Hjalmarsson <gunnarhj@debian.org>  Sun, 03 Sep 2023 18:49:22 +0200

fontconfig (2.14.2-4ubuntu1) mantic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/source_fontconfig.py, debian/fontconfig.install:
      + Install apport hook
    - debian/fontconfig-config.install:
      + Install fonts-conf.5.gz
    - Add 04_ubuntu_monospace_lcd_filter_conf.patch:
      + Use legacy lcdfilter with smaller monospace fonts
    - Add 05_lcdfilterlegacy.patch: Recognize const value "lcdfilterlegacy",
      used in Ubuntu before upstream introduced "lcdlegacy"
    - Add 07_no_bitmaps.patch:
      + Install 70-no-bitmaps.conf
    - Add 0001-cache-If-nsec-is-zero-don-t-use-it-for-comparisons.patch
      + If nsec is zero, don't use it for comparisons
    - Drop debian/fontconfig-config.NEWS, debian/fontconfig-config.templates,
      debian/fontconfig-config.config, and associated po files.
      Modify debian/rules, debian/fontconfig-config.postinst,
      debian/fontconfig-config.postrm, and debian/README.Debian.
      + Don't provide debconf prompts
    - debian/fontconfig-config.maintscript:
      + Entries due to dropped Ubuntu patches and move from /etc to /usr
    - debian/rules:
      + Config option to generate the 10-sub-pixel-rgb.conf symlink
    - debian/control:
      + Make fontconfig-config break/replace kubuntu-settings-desktop
        << 1:23.04.3 to handle symlink conflict

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Sun, 20 Aug 2023 14:00:29 +0200

fontconfig (2.14.2-4) unstable; urgency=medium

  * Team upload
  * Change the default monospcace font for latin scipts
    - Upstream‘s default monospace font for latin scripts is currently
      Noto Sans Mono, and that has been reflected in Debian since
      fontconfig 2.14.1-3. Due to some deficiencies in that font, we
      change it to the well established DejaVu Sans Mono. To cover
      situations when the fonts-dejavu-mono package is not installed,
      we put the Noto Mono font — included in the fonts-noto-mono
      package — as the second one in the list. (Closes: #1028897)

 -- Gunnar Hjalmarsson <gunnarhj@debian.org>  Sun, 20 Aug 2023 13:37:33 +0200

fontconfig (2.14.2-3ubuntu1) mantic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/source_fontconfig.py, debian/fontconfig.install:
      + Install apport hook
    - debian/fontconfig-config.install:
      + Install fonts-conf.5.gz
    - Add 04_ubuntu_monospace_lcd_filter_conf.patch:
      + Use legacy lcdfilter with smaller monospace fonts
    - Add 05_lcdfilterlegacy.patch: Recognize const value "lcdfilterlegacy",
      used in Ubuntu before upstream introduced "lcdlegacy"
    - Add 07_no_bitmaps.patch:
      + Install 70-no-bitmaps.conf
    - Add 0001-cache-If-nsec-is-zero-don-t-use-it-for-comparisons.patch
      + If nsec is zero, don't use it for comparisons
    - Drop debian/fontconfig-config.NEWS, debian/fontconfig-config.templates,
      debian/fontconfig-config.config, and associated po files.
      Modify debian/rules, debian/fontconfig-config.postinst,
      debian/fontconfig-config.postrm, and debian/README.Debian.
      + Don't provide debconf prompts
    - debian/fontconfig-config.maintscript:
      + Entries due to dropped Ubuntu patches and move from /etc to /usr
    - debian/rules:
      + Config option to generate the 10-sub-pixel-rgb.conf symlink
    - debian/control:
      + Make fontconfig-config break/replace kubuntu-settings-desktop
        << 1:23.04.3 to handle symlink conflict
  * debian/rules:
    - Add config option to keep installing the 10-sub-pixel-rgb.conf
      symlink.

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Fri, 11 Aug 2023 15:53:28 +0200

fontconfig (2.14.2-3) unstable; urgency=medium

  * Team upload
  * Add back debian/not-installed
    - Installing the libfontconfig.la file was not a good idea.

 -- Gunnar Hjalmarsson <gunnarhj@debian.org>  Fri, 11 Aug 2023 01:42:45 +0200

fontconfig (2.14.2-2) unstable; urgency=medium

  * Team upload
  * Install remaining files
    - The newly created debian/not-installed file dropped.

 -- Gunnar Hjalmarsson <gunnarhj@debian.org>  Thu, 10 Aug 2023 15:59:26 +0200

fontconfig (2.14.2-1) unstable; urgency=medium

  * Team upload.

  [ Gunnar Hjalmarsson ]
  * Add Noto to list of font package dependency options
  * New upstream release
  * Revert "Remove upstream supplied conf.d/10-sub-pixel-rgb.conf"
    - Upstream no longer creates that symlink by default.
  * Update debian/libfontconfig1.symbols
  * Bump Standards-Version to 4.6.2
  * Fixed some Lintian issues
    - This includes creating d/not-installed after having bumped
      debhelper-compat to 13. d/not-installed contains quite a few
      files, and should be reviewed later.
  * Delete obsolete entries in d/fontconfig-config.maintscript

  [ Fabian Greffrath ]
  * Remove ttf-bitstream-vera from fontconfig-config's alternative
    dependencies (Closes: #998284).
  * Remove fonts-liberation2, it is a transitional dummy package now
    (Closes: #1041263).

 -- Gunnar Hjalmarsson <gunnarhj@debian.org>  Thu, 10 Aug 2023 11:59:21 +0200

fontconfig (2.14.1-4ubuntu1) mantic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/source_fontconfig.py, debian/fontconfig.install:
      + Install apport hook
    - Add 04_ubuntu_monospace_lcd_filter_conf.patch:
      + Use legacy lcdfilter with smaller monospace fonts
    - Add 05_lcdfilterlegacy.patch: Recognize const value "lcdfilterlegacy",
      used in Ubuntu before upstream introduced "lcdlegacy"
    - Add 07_no_bitmaps.patch:
      + Install 70-no-bitmaps.conf
    - Add 0001-cache-If-nsec-is-zero-don-t-use-it-for-comparisons.patch
      + If nsec is zero, don't use it for comparisons
    - Drop debian/fontconfig.NEWS, debian/fontconfig-config.templates,
      debian/fontconfig-config.config, and associated po files.
      Modify debian/rules, debian/fontconfig-config.postinst,
      debian/fontconfig-config.postrm, and debian/README.Debian.
      + Don't provide debconf prompts
    - Modify debian/rules, debian/fontconfig-config.install, 
      debian/fontconfig-config.links, debian/fontconfig-config.postrm,
      debian/fontconfig-config.maintscript and
    - debian/fontconfig-config.maintscript:
      + Entries due to dropped Ubuntu patches
    - debian/control:
      - Make fontconfig-config break/replace kubuntu-settings-desktop
        << 1:23.04.3 to handle symlink conflict
    - Implement the transition of available config files from /etc to
      /usr

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 18 May 2023 09:28:38 -0700

fontconfig (2.14.1-4) unstable; urgency=medium

  * Team upload.
  * Remove upstream supplied conf.d/10-sub-pixel-rgb.conf
    - handled by debconf in postinst (Closes: #1030000)

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 31 Jan 2023 23:24:08 +0100

fontconfig (2.14.1-3ubuntu3) lunar; urgency=medium

  * Implement the transition of available config files from /etc to
    /usr after a decade of delay (LP: #2007124).

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Thu, 23 Feb 2023 15:54:28 +0100

fontconfig (2.14.1-3ubuntu2) lunar; urgency=medium

  * debian/control:
    - Make fontconfig-config break/replace kubuntu-settings-desktop
      << 1:23.04.3 to handle symlink conflict (LP: #2005124).

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Mon, 06 Feb 2023 20:34:51 +0100

fontconfig (2.14.1-3ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/source_fontconfig.py, debian/fontconfig.install:
      + Install apport hook
    - Add 04_ubuntu_monospace_lcd_filter_conf.patch:
      + Use legacy lcdfilter with smaller monospace fonts
    - Add 05_lcdfilterlegacy.patch: Recognize const value "lcdfilterlegacy",
      used in Ubuntu before upstream introduced "lcdlegacy"
    - Add 07_no_bitmaps.patch:
      + Install 70-no-bitmaps.conf
    - Add 0001-cache-If-nsec-is-zero-don-t-use-it-for-comparisons.patch
      + If nsec is zero, don't use it for comparisons
    - Drop debian/fontconfig.NEWS, debian/fontconfig-config.templates,
      debian/fontconfig-config.config, and associated po files.
      Modify debian/rules, debian/fontconfig-config.postinst,
      debian/fontconfig-config.postrm, and debian/README.Debian.
      + Don't provide debconf prompts
    - Modify debian/rules, debian/fontconfig-config.install, 
      debian/fontconfig-config.links, debian/fontconfig-config.postrm,
      debian/fontconfig-config.maintscript and
      debian/fontconfig-udeb.install:
      + Delay doing the transition from /etc to /usr
    - debian/fontconfig-config.maintscript:
      + Entries due to dropped Ubuntu patches
  * Dropped patches, equivalent changes implemented upstream:
    - 03_prefer_dejavu.patch
    - 05_ubuntu_add_antialiasing_confs.patch
    - 08_recognize_CourierStd_as_monospace.patch

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Sun, 29 Jan 2023 20:12:01 +0100

fontconfig (2.14.1-3) unstable; urgency=medium

  * Team upload.
  * Add debian/patches/make-byteReverse-hidden.patch
    - hide byteReverse symbol (otherwise exported on big-endian)
  * Upload to unstable.

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 13 Jan 2023 21:30:45 +0100

fontconfig (2.14.1-2) experimental; urgency=medium

  * Team upload.
  * Build-dep on python3

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 05 Jan 2023 10:51:49 +0100

fontconfig (2.14.1-1) experimental; urgency=medium

  * Team upload.

  [ Laurent Bigonville ]
  * debian/control.in: Switch dependencies from libfreetype6-dev to
    libfreetype-dev

  [ Fabian Greffrath ]
  * Update watch

  [ Andreas Henriksson ]
  * New upstream release. (Closes: #1006932, #1014545)
  * Drop patches now part of upstream release
    - 0001-fix-memory-leaks.patch
    - 0002-more-memory-leaks.patch
    - 0003-Set-name_mapping-to-NULL-after-freeing.patch
    - do_not_remove_uuid.patch
    - path_max.patch
  * Update debian/patches/02_indic_names.patch to apply
  * Add debian/patches/disable-crbug1004354.patch
  * Add 2 new symbols to debian/libfontconfig1.symbols
  * Drop obsolete fontconfig lintian override
  * Drop Joss from uploaders (Closes: #930172)

  [ Simon McVittie ]
  * fontconfig-config: Drop unnecessary ucf dependency (Closes: #915114)

  [ Helmut Grohne ]
  * support the noudeb build profile (Closes: #1024923)

  [ Camaleón ]
  * Update spanish debconf translation (Closes: #1026784)

  [ Adriano Rafael Gomes ]
  * Updated Brazilian Portuguese debconf translation (Closes: #972838)

  [ Joe Dalton ]
  * Updated Danish debconf translation (Closes: #923057)

  [ Andreas Henriksson ]
  * Update Swedish debconf translation

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 04 Jan 2023 23:39:57 +0100

fontconfig (2.13.1-4.5) unstable; urgency=medium

  * Non-maintainer upload.
  * Make fontconfig-config arch:any. If one of the arch:any buildds is faster
    than the arch:all one, the new libfontconfig1 becomes uninstallable, and,
    because fontconfig indirectly build-depends on libfontconfig1, that
    situation can't fix itself. Turning fontconfig-config from arch:all to
    arch:any prevents this from happening. (closes: #960679)

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Sun, 04 Sep 2022 18:37:48 +0200

fontconfig (2.13.1-4.4ubuntu1) kinetic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/source_fontconfig.py, debian/fontconfig.install:
      + Install apport hook
    - Add 03_prefer_dejavu.patch:
      + Prefer DejaVu to Bitstream Vera
    - Add 04_ubuntu_monospace_lcd_filter_conf.patch:
      + Use legacy lcdfilter with smaller monospace fonts
    - Add 05_ubuntu_add_antialiasing_confs.patch:
      + Add config file for antialiasing
    - Add 05_lcdfilterlegacy.patch: Recognize const value "lcdfilterlegacy",
      used in Ubuntu before upstream introduced "lcdlegacy"
    - Add 07_no_bitmaps.patch:
      + Install 70-no-bitmaps.conf
    - Add 0001-cache-If-nsec-is-zero-don-t-use-it-for-comparisons.patch
      + If nsec is zero, don't use it for comparisons
    - Drop debian/fontconfig.NEWS, debian/fontconfig-config.templates,
      debian/fontconfig-config.config, and associated po files.
      Modify debian/rules, debian/fontconfig-config.postinst,
      debian/fontconfig-config.postrm, and debian/README.Debian.
      + Don't provide debconf prompts
    - Modify debian/rules, debian/fontconfig-config.install, 
      debian/fontconfig-config.links, debian/fontconfig-config.postrm,
      and debian/fontconfig-udeb.install:
      + Delay doing the transition from /etc to /usr
    - debian/patches/08_recognize_CourierStd_as_monospace.patch:
      + Recognize CourierStd as a monospace font

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Tue, 17 May 2022 10:20:37 +0200

fontconfig (2.13.1-4.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Update patch from last upload with fixed uuid_generate_sha1() call

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Sat, 29 Jan 2022 17:05:46 +0100

fontconfig (2.13.1-4.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Make cache files reproducible if SOURCE_DATE_EPOCH is set (closes: #864082)

 -- Johannes Schauer Marin Rodrigues <josch@debian.org>  Wed, 12 Jan 2022 07:49:42 +0100

fontconfig (2.13.1-4.2ubuntu5) jammy; urgency=medium

  * No-change rebuild for ppc64el baseline bump.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Wed, 23 Mar 2022 14:52:38 +0100

fontconfig (2.13.1-4.2ubuntu4) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:11:35 +0200

fontconfig (2.13.1-4.2ubuntu3) hirsute; urgency=medium

  * No-change rebuild to drop the udeb package.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 22 Feb 2021 10:31:05 +0100

fontconfig (2.13.1-4.2ubuntu2) hirsute; urgency=medium

  [ Gunnar Hjalmarsson ]
  * debian/patches/08_recognize_CourierStd_as_monospace.patch:
    - Recognize CourierStd as a monospace font (LP: #1824260)

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Mon, 02 Nov 2020 18:26:27 +0100

fontconfig (2.13.1-4.2ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/source_fontconfig.py, debian/fontconfig.install:
      + Install apport hook
    - Add 03_prefer_dejavu.patch:
      + Prefer DejaVu to Bitstream Vera
    - Add 04_ubuntu_monospace_lcd_filter_conf.patch:
      + Use legacy lcdfilter with smaller monospace fonts
    - Add 05_ubuntu_add_antialiasing_confs.patch:
      + Add config file for antialiasing
    - Add 05_lcdfilterlegacy.patch: Recognize const value "lcdfilterlegacy",
      used in Ubuntu before upstream introduced "lcdlegacy"
    - Add 07_no_bitmaps.patch:
      + Install 70-no-bitmaps.conf
    - Add 0001-cache-If-nsec-is-zero-don-t-use-it-for-comparisons.patch
      + If nsec is zero, don't use it for comparisons
    - Drop debian/fontconfig.NEWS, debian/fontconfig-config.templates,
      debian/fontconfig-config.config, and associated po files.
      Modify debian/rules, debian/fontconfig-config.postinst,
      debian/fontconfig-config.postrm, and debian/README.Debian.
      + Don't provide debconf prompts
    - Modify debian/rules, debian/fontconfig-config.install, 
      debian/fontconfig-config.links, debian/fontconfig-config.postrm,
      and debian/fontconfig-udeb.install:
      + Delay doing the transition from /etc to /usr

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Mon, 02 Nov 2020 12:08:12 +0100

fontconfig (2.13.1-4.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Hopefully this otherwise dummy upload lets us work around bug #960679.
  * Add missing Breaks for the -doc package split (closes: #960598)

 -- Julien Cristau <jcristau@debian.org>  Fri, 15 May 2020 12:55:02 +0200

fontconfig (2.13.1-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Cherry-pick an extra upstream patch to fix a regression in 2.13.1-4.
    Closes: #959800.  Thanks, Jonathan Kew!

 -- Julien Cristau <jcristau@debian.org>  Wed, 13 May 2020 12:21:13 +0200

fontconfig (2.13.1-4) unstable; urgency=medium

  * Backport upstream patches to fix a few memory leaks. Closes: #956157.
  * The last upload had to go through NEW, so this source-only upload will
    allow fontconfig to be a candidate for testing migration.
    Closes: #958106.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Tue, 21 Apr 2020 13:18:00 +0200

fontconfig (2.13.1-3) unstable; urgency=medium

  [ Laurent Bigonville ]
  * debian/rules: Stop looking for fonts in /usr/X11R6/lib/X11/fonts, nothing
    is installing fonts there for years and it's causing gnome-settings-daemon
    to check the location every few seconds (Closes: #568686)

  [ Fabian Greffrath ]
  * fontconfig-config: extend, clean-up and order fontconfig-config's
    font dependencies (Closes: #879503)

  [ Emilio Pozuelo Monfort ]
  * Split documentation into a -doc package to avoid multi-arch problems in
    the -dev one (Closes: #935760, #844607)
  * Since we're going through NEW, rename libfontconfig1-dev to
    libfontconfig-dev and provide the former.
  * Switch to debhelper-compat.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 18 Mar 2020 00:56:46 +0100

fontconfig (2.13.1-2ubuntu3) focal; urgency=medium

  * debian/rules: Stop looking for fonts in /usr/X11R6/lib/X11/fonts, nothing
    is installing fonts there for years and it's causing gnome-settings-daemon
    to check the location every few seconds (Closes: #568686)

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 06 Apr 2020 12:09:42 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libfontconfig-doc`.
